Subject: Re: [PATCH v2 1/6] ipv6: del the statements for updating route in (dccp|tcp|sctp)_v6_err

From: Daniel Borkmann <[email-masked]>
Date: Sat, 14 Sep 2013 04:20:43 -0400 (EDT)

> [added linux-sctp, Daniel and Vlad + full quote]
> 
> On Fri, Sep 13, 2013 at 10:58:55AM +0800, Duan Jiong wrote:
> > From: Duan Jiong <[email-masked]>
> > 
> > Because we will do route updating for redirect in nidsc layer. And
> > when dealing with redirect message, the dccp and sctp should like
> > tcp return directly.
> > 
> > Signed-off-by: Duan Jiong <[email-masked]>
[...]
> Please Cc [email-masked] on the sctp bits in the next round,
> too.
> 
> Otherwise I looked at all patches and they seemed fine to me.
> 
> Duan, I would suggest the following:
> 
> I cannot judge if the patch Daniel proposed regarding EPROTO in sk->sk_err
> on redirects should go to stable. If it should, perhaps this patch should
> go in first and you could later on rebase this series as soon as Daniel's
> patch has landed in the net repo? Only some minor edits should be needed
> then. This way there is a clean patch for stable and David can consider
> taking this in for net or net-next (this fixes a glitch where we do not
> apply redirects generated by packets of ipv6 tunnels, otherwise a bit of
> code removal).

Thanks Hannes !

I'm on travel over the weekend and mostly offline, so I'll look into this
on right on Monday morning.

Cheers and thanks,

Daniel